Apache Tomcat 6.0.53

## org.apache.catalina.deploy
Class ContextResourceEnvRef

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextResourceEnvRef

All Implemented Interfaces:
  java.io.Serializable

    public class ContextResourceEnvRef

extends ResourceBase
implements java.io.Serializable

Representation of an application resource reference, as represented in an `<res-env-refy>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextResourceEnvRef()`

Method Summary
`boolean` | `getOverride()`
`void` | `setOverride(boolean override)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextResourceEnvRef

    public ContextResourceEnvRef()

Method Detail

### getOverride

    public boolean getOverride()

### setOverride

    public void setOverride(boolean override)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.